## ros-foxy-ament-package 0.9.5

=== debian/changelog ===
ros-foxy-ament-package (0.9.5-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 22 Apr 2021 05:30:12 -0000

ros-foxy-ament-package (0.9.4-1focal) focal; urgency=high

  * Generate Setuptools Dict Helper Method (#126 <https://github.com/ament/ament_package/issues/126>) (#128 <https://github.com/ament/ament_package/issues/128>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 12 Mar 2021 08:00:00 -0000

ros-foxy-ament-package (0.9.3-1focal) focal; urgency=high

  * make AMENT_TRACE_SETUP_FILES output sourceable (#120 <https://github.com/ament/ament_package/issues/120>) (#121 <https://github.com/ament/ament_package/issues/121>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 07 Dec 2020 08:00:00 -0000

ros-foxy-ament-package (0.9.2-1focal) focal; urgency=high

  * add configure-time flag to skip parent_prefix_path (#115 <https://github.com/ament/ament_package/issues/115>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 05 Jun 2020 07:00:00 -0000

ros-foxy-ament-package (0.9.1-1focal) focal; urgency=high

  * [Windows] Fix _ament_python_executable fallback code path. (#113 <https://github.com/ament/ament_package/issues/113>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-ament-package (0.9.0-1focal) focal; urgency=high

  * Convert format to f-string. (#112 <https://github.com/ament/ament_package/issues/112>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-foxy-ament-package (0.8.8-1focal) focal; urgency=high

  * fix removing trailing semicolon logic in bat (#111 <https://github.com/ament/ament_package/issues/111>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 10 Dec 2019 08:00:00 -0000

ros-foxy-ament-package (0.8.7-1focal) focal; urgency=high

  * fix handling of empty env var (#110 <https://github.com/ament/ament_package/issues/110>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 05 Dec 2019 08:00:00 -0000

ros-foxy-ament-package (0.8.6-1focal) focal; urgency=high

  * improve error message when split for dsv line raises (#108 <https://github.com/ament/ament_package/issues/108>)
  * skip empty lines in dsv files (#107 <https://github.com/ament/ament_package/issues/107>)
  * fix performance regression in environment setup (#106 <https://github.com/ament/ament_package/issues/106>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 04 Dec 2019 08:00:00 -0000

ros-foxy-ament-package (0.8.5-1focal) focal; urgency=high

  * Fix sh command to remove trailing separator (#105 <https://github.com/ament/ament_package/issues/105>)
  * Always prepend with a trailing separator (#104 <https://github.com/ament/ament_package/issues/104>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-foxy-ament-package (0.8.4-1focal) focal; urgency=high

  * add dsv type set-if-unset (#102 <https://github.com/ament/ament_package/issues/102>)
  * Add support for prepending multiple values to env variables from .dsv files (#101 <https://github.com/ament/ament_package/issues/101>)
  * Contributors: Dirk Thomas, Jacob Perron, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-ament-package (0.8.3-1focal) focal; urgency=high

  * add type 'set' for dsv files (#95 <https://github.com/ament/ament_package/issues/95>)
  * keep using default ignore list (#96 <https://github.com/ament/ament_package/issues/96>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Oct 2019 07:00:00 -0000

ros-foxy-ament-package (0.8.2-1focal) focal; urgency=high

  * provide ament_prepend_unique_value function in prefix level sh script (#94 <https://github.com/ament/ament_package/issues/94>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 22:45:00 -0000

ros-foxy-ament-package (0.8.1-1focal) focal; urgency=high

  * fix reading the package run dependencies (#93 <https://github.com/ament/ament_package/issues/93>)
  * if no package.dsv is available fallback to a local_setup file (#92 <https://github.com/ament/ament_package/issues/92>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 21:34:00 -0000

ros-foxy-ament-package (0.8.0-1focal) focal; urgency=high

  * perform environment calculation in Python (#89 <https://github.com/ament/ament_package/issues/89>)
  * escape closing parenthesis in local_setup.bat file (#91 <https://github.com/ament/ament_package/issues/91>)
  * add quotes around ament_python_executable variable in local_setup.bat (#90 <https://github.com/ament/ament_package/issues/90>)
  * fix pytest warning about unknown markers (#88 <https://github.com/ament/ament_package/issues/88>)
  * install resource marker file for package (#87 <https://github.com/ament/ament_package/issues/87>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 17:32:00 -0000

ros-foxy-ament-package (0.7.2-1focal) focal; urgency=high

  * install package manifest (#86 <https://github.com/ament/ament_package/issues/86>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 18 Sep 2019 07:00:00 -0000

ros-foxy-ament-package (0.7.1-1focal) focal; urgency=high

  * add warning/fallback for AMENT_CURRENT_PREFIX if relocated (#85 <https://github.com/ament/ament_package/issues/85>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2019 07:00:00 -0000

ros-foxy-ament-package (0.7.0-1focal) focal; urgency=high

  * add section about DCO to CONTRIBUTING.md
  * Contributors: Dirk Thomas


